UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
lbm_src_event_ume_ack_ex_info_t_stct Struct Reference

Structure that holds ACK information for a given message in an extended form. More...

`#include <lbm.h>`

## Data Fields
int | flags
| Zero or more flag bits ORed together indicating extra information about the acknowledgement. More...
lbm_uint_t | sequence_number
| The sequence number of the message.
lbm_uint_t | rcv_registration_id
| The registration ID for the receiver, if applicable. This field is 0 (zero) if this struct is not being delivered as part of a confirmed delivery event.
char | store [LBM_UME_MAX_STORE_STRLEN]
| the Store involved. This field is 0 (zero) if the event applies to multiple Stores or if using the structure for a delivery confirmation event.
void * | msg_clientd
| The clientd pointer passed in for the message.
lbm_ushort_t | store_index
| the Store index of the Store involved. This field is 0 (zero) if the event applies to multiple Stores or if using the structure for a delivery confirmation event.

## Detailed Description

Structure that holds ACK information for a given message in an extended form.

This structure contains information about a message for a variety of UM events: LBM_SRC_EVENT_UME_MESSAGE_STABLE_EX, LBM_SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX, LBM_SRC_EVENT_UME_MESSAGE_RECLAIMED_EX, and LBM_SRC_EVENT_UME_MESSAGE_NOT_STABLE via callbacks lbm_src_cb_proc and lbm_ssrc_cb_proc.

See lbm_src_event_ume_ack_ex_info_t_stct for field definitions.

## Field Documentation

int lbm_src_event_ume_ack_ex_info_t_stct::flags

Zero or more flag bits ORed together indicating extra information about the acknowledgement.

- For event type LBM_SRC_EVENT_UME_MESSAGE_STABLE_EX, bits are: LBM_SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_* (i.e. LBM_SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_INTRAGROUP_STABLE, LBM_SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_INTERGROUP_STABLE, LBM_SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_STABLE, LBM_SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_STORE, LBM_SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_WHOLE_MESSAGE_STABLE, LBM_SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_USER)
- For event type LBM_SRC_EVENT_UME_MESSAGE_NOT_STABLE bits are: LBM_SRC_EVENT_UME_MESSAGE_NOT_STABLE_FLAG_* (i.e. LBM_SRC_EVENT_UME_MESSAGE_NOT_STABLE_FLAG_STORE, LBM_SRC_EVENT_UME_MESSAGE_NOT_STABLE_FLAG_LOSS, LBM_SRC_EVENT_UME_MESSAGE_NOT_STABLE_FLAG_TIMEOUT)
- For event type LBM_SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX bits are: LBM_SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX_FLAG_* (i.e. LBM_SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX_FLAG_UNIQUEACKS, LBM_SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX_FLAG_UREGID, LBM_SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX_FLAG_OOD, LBM_SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX_FLAG_EXACK, LBM_SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX_FLAG_WHOLE_MESSAGE_CONFIRMED)
- For event type LBM_SRC_EVENT_UME_MESSAGE_RECLAIMED_EX bits are: LBM_SRC_EVENT_UME_MESSAGE_RECLAIMED_EX_FLAG_* (i.e. LBM_SRC_EVENT_UME_MESSAGE_RECLAIMED_EX_FLAG_FORCED)

The documentation for this struct was generated from the following file:

- lbm.h